Imports Telerik.Web.UI
Imports System.Data

Partial Class _Default
    Inherits System.Web.UI.Page

    Protected Sub RadGrid1_NeedDataSource(ByVal sender As Object, ByVal e As Telerik.Web.UI.GridNeedDataSourceEventArgs) Handles RadGrid1.NeedDataSource

        Dim table As New DataTable()
        table.Columns.Add("ID")
        table.Columns.Add("Item")
        table.Columns.Add("Date", GetType(DateTime))
        For i As Integer = 1 To 7
            table.Rows.Add(i, "Item" & i.ToString(), DateTime.Now.AddDays(i))
        Next
        RadGrid1.DataSource = table

    End Sub
End Class
